SAP Knowledge Base Article - Preview

2122711 - sp_version displays wrong version following an upgrade - ASE

Symptom

  • sp_version displays wrong version following an upgrade
  • Upgrade from ASE15.5 ESD 5.2 to ASE15.7 SP110
  • select @@version still displays the old pre-upgrade version.
  • The following error is displayed in the installmodel.log: 

Server 'xxxxx', Procedure 'sp_version', Line 205: Ad hoc updates to system catalogs not enabled. A user with System Security Officer (SSO) role must reconfigure system to allow this.
(return status = -4).


Read more...

Environment

SAP Adaptive Server Enterprise (ASE) 15.7 EBF 21984 SP110

Product

SAP Adaptive Server Enterprise 15.7

Keywords

sp_autoformat, sp_aux_checkroleperm, sp_aux_getsize, sp_check_remote_tempdb, sp_configure, sp_dboption, sp_dboption_flmode, sp_dropdevice, sp_getmessage, sp_loaddbupgrade, sp_namecrack, sp_probe_xact, sp_procxmode, sp_prtsybsysmsgs, sp_remotesql, sp_validlang , KBA , installmaster , sysobjects , sybsystemprocs , BC-SYB-ASE , Sybase ASE Database Platform (non Business Suite) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.